<?php
/**
 * Plugin Name: Auto NoFollow Links
 * Plugin URI:  http://www.apponsite.com/wpextends/plugins/auto-nofollow-links.html
 * Description: Auto NoFollow Links adds nofollow attribute to all external links in your blog posts automatically. 
 * Author:      WPExtends Team
 * Version:     1.2.0
 * Author URI:  http://www.apponsite.com/wpextends
 */

function auto_nofollow_links_the_content($content) {
	return preg_replace_callback('|<a (.+?)>|i', 'auto_nofollow_links_callback', $content);
}

function auto_nofollow_links_callback($matches) {
	$site_url = get_option('siteurl');		
	$text = $matches[1];
	if (strpos($text, 'http://') && strpos($text, $site_url) === false) {
		if (strpos($text, 'follow') === false) {				
			$text .= ' rel="nofollow"';
		}
	}
	if (strpos($text, 'target') === false) {				
		$text .= ' target="_blank"';
	}
	return "<a $text>";
}

function auto_nofollow_links_activate() {}

function auto_nofollow_links_deactivate() {}

add_action('the_content', 'auto_nofollow_links_the_content');
register_activation_hook(__FILE__, 'auto_nofollow_links_activate');
register_deactivation_hook(__FILE__, 'auto_nofollow_links_deactivate');
	
include 'auto-nofollow-links-admin.php';
?>